#import "HwPluginDemoPlugin.h"

@implementation HwPluginDemoPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"hw_plugin_demo"
            binaryMessenger:[registrar messenger]];
  HwPluginDemoPlugin* instance = [[HwPluginDemoPlugin alloc] init];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"getPlatformVersion" isEqualToString:call.method]) {
    result([@"iOS " stringByAppendingString:[[UIDevice currentDevice] systemVersion]]);
  } else if([@"getplatformBatteryLevel" isEqualToString:call.method]){
      UIDevice * device = [UIDevice currentDevice];
      device.batteryMonitoringEnabled = YES;
      
      int level = 0;
      if (device.batteryLevel == UIDeviceOrientationUnknown) {
          level = -1;
      }else{
          level = device.batteryState * 100;
      }
      result(@(level));
  }else {
    result(FlutterMethodNotImplemented);
  }
}

@end
